Package org.eclipse.microprofile.lra.tck.participant.invalid

# Class LRAResourceWithoutCompensateOrAfteRLRA

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.invalid.LRAResourceWithoutCompensateOrAfteRLRA

@Path("/invalid-lra-resource-path") public class LRAResourceWithoutCompensateOrAfteRLRA extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INVALID_LRA_RESOURCE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`LRAResourceWithoutCompensateOrAfteRLRA()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`complete()`
`jakarta.ws.rs.core.Response`
`doInLRA(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INVALID_LRA_RESOURCE_PATH

public static final String INVALID_LRA_RESOURCE_PATH

See Also:
  - Constant Field Values

## Constructor Details

### LRAResourceWithoutCompensateOrAfteRLRA

public LRAResourceWithoutCompensateOrAfteRLRA()

## Method Details

### doInLRA

@GET @Path("/lra") public jakarta.ws.rs.core.Response doInLRA(@HeaderParam("Long-Running-Action") URI lraId)

### complete

@PUT @Path("/complete") public jakarta.ws.rs.core.Response complete()